MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030901Open CASCADE[OCCT] OCCT:Visualizationpublic2019-08-15 08:402019-08-17 12:24
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0030901: Visualization - OSD_MemInfo moving memory computation out of the constructor
DescriptionIt's proposed to compute memory values by additional call after the instance of memory info has created.
The case is to avoid additional computation if the variable is only declared in the code and is planned to be used later.

Also, it's proposed to return Standard_Real value in ValueMiB() instead of Standard_Size. It might be useful for cases then result is less than 1Mb.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0086253)
git (administrator)
2019-08-15 08:53

Branch CR30901 has been created by nds.

SHA-1: 369a997f323f9e8343d0e6549310165ab39c01c8


Detailed log of new commits:

Author: nds
Date: Thu Aug 15 08:40:14 2019 +0300

    0030901: Visualization - OSD_MemInfo moving memory computation out of the constructor
(0086254)
kgv (developer)
2019-08-15 09:33

Please don't change existing API.
In case if in application you would like to avoid Update() in constructor - add/extend constructor with bool flag.
In case if you want take MiB in floating point number - add new method.
(0086259)
git (administrator)
2019-08-15 13:19

Branch CR30901_1 has been created by nds.

SHA-1: e4ec4b291afb6bcdc40d87d85b141bb73fa2c4fd


Detailed log of new commits:

Author: nds
Date: Thu Aug 15 13:17:18 2019 +0300

    0030901: Visualization - OSD_MemInfo moving memory computation out of the constructor
(0086267)
nds (developer)
2019-08-15 15:04

Remarks are corrected, please review.
Job is: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30901-master-NDS/ [^]
(0086272)
git (administrator)
2019-08-16 12:38

Branch CR30901_2 has been created by kgv.

SHA-1: b312a8bdd38b82230d64529b83fec6a757110f64


Detailed log of new commits:

Author: nds
Date: Thu Aug 15 13:17:18 2019 +0300

    0030901: Visualization - OSD_MemInfo moving memory computation out of the constructor
(0086273)
git (administrator)
2019-08-16 12:39

Branch CR30901_2 has been updated forcibly by kgv.

SHA-1: 69bc235d068effe926ff9ac31b881c30578d5698
(0086274)
kgv (developer)
2019-08-16 12:43

Please take the patch CR30901_2.
(0086291)
bugmaster (administrator)
2019-08-16 17:35

Combination -
OCCT branch : CR30901_1
master SHA - e4ec4b291afb6bcdc40d87d85b141bb73fa2c4fd
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-33 SHA - 32e882a7b3145a66baa739f965d275c822c0bd8a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16096.510000000038 / 16116.33000000002 [-0.12%]
Products
Total CPU difference: 10480.480000000054 / 10475.390000000047 [+0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 17527.25 / 17461.53125 [+0.38%]
Products
Total CPU difference: 12170.8125 / 11990.921875 [+1.50%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086294)
git (administrator)
2019-08-17 12:24

Branch CR30901_2 has been deleted by inv.

SHA-1: 69bc235d068effe926ff9ac31b881c30578d5698
(0086295)
git (administrator)
2019-08-17 12:24

Branch CR30901_1 has been deleted by inv.

SHA-1: e4ec4b291afb6bcdc40d87d85b141bb73fa2c4fd
(0086297)
git (administrator)
2019-08-17 12:24

Branch CR30901 has been deleted by inv.

SHA-1: 369a997f323f9e8343d0e6549310165ab39c01c8

- Related Changesets
occt: master 0be11733
Timestamp: 2019-08-15 10:17:18
Author: nds
Committer: bugmaster
Details ] Diff ]
0030901: Visualization - OSD_MemInfo moving memory computation out of the constructor
mod - src/OSD/OSD_MemInfo.cxx Diff ] File ]
mod - src/OSD/OSD_MemInfo.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-15 08:40 nds New Issue
2019-08-15 08:40 nds Assigned To => kgv
2019-08-15 08:53 git Note Added: 0086253
2019-08-15 08:55 nds Assigned To kgv => nds
2019-08-15 09:33 kgv Note Added: 0086254
2019-08-15 13:19 git Note Added: 0086259
2019-08-15 15:04 nds Note Added: 0086267
2019-08-15 15:04 nds Assigned To nds => kgv
2019-08-15 15:04 nds Severity minor => integration request
2019-08-15 15:04 nds Status new => resolved
2019-08-16 12:38 git Note Added: 0086272
2019-08-16 12:39 git Note Added: 0086273
2019-08-16 12:43 kgv Note Added: 0086274
2019-08-16 12:43 kgv Assigned To kgv => bugmaster
2019-08-16 12:43 kgv Status resolved => reviewed
2019-08-16 17:27 bugmaster Test case number => Not required
2019-08-16 17:35 bugmaster Note Added: 0086291
2019-08-16 17:35 bugmaster Status reviewed => tested
2019-08-17 12:07 bugmaster Changeset attached => occt master 0be11733
2019-08-17 12:07 bugmaster Status tested => verified
2019-08-17 12:07 bugmaster Resolution open => fixed
2019-08-17 12:24 git Note Added: 0086294
2019-08-17 12:24 git Note Added: 0086295
2019-08-17 12:24 git Note Added: 0086297


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker